Update consent
curl --request PATCH \
--url https://api.gospott.com/consents/{consentId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"purpose": {
"type": "system"
},
"comments": "<string>",
"receivedAt": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.gospott.com/consents/{consentId}"
payload = {
"purpose": { "type": "system" },
"comments": "<string>",
"receivedAt": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purpose: {type: 'system'},
comments: '<string>',
receivedAt: '2023-11-07T05:31:56Z',
validUntil: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.gospott.com/consents/{consentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Consents
Update consent
Partially update an existing consent record. Only the provided fields will be updated.
PATCH
/
consents
/
{consentId}
Update consent
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Body
application/json
The regulatory framework
Available options:
GDPR, PDPO The legal basis for the consent
Available options:
CONSENT, CONTRACT, LEGAL_OBLIGATION, VITAL_INTEREST, PUBLIC_TASK, LEGITIMATE_INTEREST The purpose of the consent
- Option 1
- Option 2
Show child attributes
Show child attributes
Free text field for additional comments
Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$The status of the consent
Available options:
GRANTED, REVOKED Response
Consent updated successfully
Was this page helpful?